package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.BaseMessage;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMember;
import com.yonge.cooleshow.biz.dal.enums.ImNetworkRoomMemberChangedEnum;

/**
* @description: 用户房间状态变动消息
* @author zx
* @date 2022/4/6 14:02
*/
public class ImNetworkRoomMemberChangedMessage extends BaseMessage {

    //节拍器是否开启
    private boolean metronomeSwitch;

    //伴奏是否开启
    private boolean examSongSwitch;

    //用户基本信息
    private ImNetworkRoomMember roomMember;

    //动作
    private ImNetworkRoomMemberChangedEnum changedEnum;

    public ImNetworkRoomMemberChangedMessage(ImNetworkRoomMember roomMember, ImNetworkRoomMemberChangedEnum changedEnum) {
        this.roomMember = roomMember;
        this.changedEnum = changedEnum;
    }

    public ImNetworkRoomMember getRoomMember() {
        return roomMember;
    }

    public void setRoomMember(ImNetworkRoomMember roomMember) {
        this.roomMember = roomMember;
    }

    public ImNetworkRoomMemberChangedEnum getChangedEnum() {
        return changedEnum;
    }

    public void setChangedEnum(ImNetworkRoomMemberChangedEnum changedEnum) {
        this.changedEnum = changedEnum;
    }

    public boolean isMetronomeSwitch() {
        return metronomeSwitch;
    }

    public void setMetronomeSwitch(boolean metronomeSwitch) {
        this.metronomeSwitch = metronomeSwitch;
    }

    public boolean isExamSongSwitch() {
        return examSongSwitch;
    }

    public void setExamSongSwitch(boolean examSongSwitch) {
        this.examSongSwitch = examSongSwitch;
    }

    @Override
    public String getObjectName() {
        return "SC:RMCMsg";
    }
}
